BasicGraphUI.GraphModelHandler (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.basic.BasicGraphUI.GraphModelHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphUI.GraphModelHandler

    java.lang.Object
      org.jgraph.plaf.basic.BasicGraphUI.GraphModelHandler

All Implemented Interfaces:
  EventListener, GraphModelListener, Serializable

Enclosing class:
  BasicGraphUI

public class BasicGraphUI.GraphModelHandler
extends Object
implements GraphModelListener, Serializable

Listens for changes in the graph model and updates the view accordingly.

See Also:
  Serialized Form

Constructor Summary
`BasicGraphUI.GraphModelHandler()`

Method Summary
`void` | `graphChanged(GraphModelEvent e)` Invoked after a cell has changed in some way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGraphUI.GraphModelHandler

    public BasicGraphUI.GraphModelHandler()

Method Detail

### graphChanged

    public void graphChanged(GraphModelEvent e)

  Description copied from interface: `GraphModelListener`
  Invoked after a cell has changed in some way. The vertex/vertices may have changed bounds or altered adjacency, or other attributes have changed that may affect presentation. Note : Read the notes on the GraphModelEvent class carefully. A GraphModelEvent is the undo of the event that has just occurred, i.e. if you undo this event is executed.

  Specified by:
    `graphChanged` in interface `GraphModelListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.